<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Groups/Scripts/5_mission/dayzexpansion_groups/cot/groups/expansioncotgroupsmarkerlistentry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d1c/a01397_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncotgroupsmarkerlistentry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d1c/a01397.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionCOTGroupsMarkerListEntry.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef JM_COT</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#ifdef EXPANSIONMODNAVIGATION</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">class </span>ExpansionCOTGroupsMarkerListEntry <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/d40/a03681.html">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">private</span> Widget <a class="code hl_variable" href="../../d7/d40/a03681.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keyword">private</span> ImageWidget m_MarkerIcon;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keyword">private</span> TextWidget <a class="code hl_variable" href="../../d7/d40/a03681.html#a9843b470c45f323991c8c3c3cf1d0283">m_MarkerName</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d7/d40/a03681.html#a8bf6a1edb4841e8b1006d424c74e8fe5">m_EditButton</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keyword">private</span> ExpansionCOTGroupsMapMarker <a class="code hl_variable" href="../../d7/d40/a03681.html#a102ede4a5593b9928959eac25cb3181f">m_Marker</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keyword">private</span> ExpansionCOTGroupsMenu m_COTGroupsMenu;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// Expansion ExpansionCOTGroupsMarkerListEntry Constructor</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keywordtype">void</span> ExpansionCOTGroupsMarkerListEntry(Widget parent, ExpansionCOTGroupsMapMarker marker, ExpansionCOTGroupsMenu menu)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_Root  = GetGame().GetWorkspace().CreateWidgets(<span class="stringliteral">&quot;DayZExpansion/Groups/GUI/layouts/COT/groups/Markers_List_Entry.layout&quot;</span>, parent);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_MarkerIcon = ImageWidget.Cast(m_Root.FindAnyWidget(<span class="stringliteral">&quot;marker_icon&quot;</span>));</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_MarkerName = TextWidget.Cast(m_Root.FindAnyWidget(<span class="stringliteral">&quot;marker_name&quot;</span>));</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_EditButton = ButtonWidget.Cast(m_Root.FindAnyWidget(<span class="stringliteral">&quot;edit_button&quot;</span>));</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_Marker = marker;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_COTGroupsMenu = menu;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        m_Root.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d7/d40/a03681.html#ae8ed5fec9014743a112d6f7aa07bdc29">SetEntry</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">// ExpansionCOTGroupsMarkerListEntry Destructor</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordtype">void</span> ~ExpansionCOTGroupsMarkerListEntry()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keyword">delete</span> <a class="code hl_variable" href="../../d7/d40/a03681.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">// ExpansionCOTGroupsMarkerListEntry SetEntry</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#ae8ed5fec9014743a112d6f7aa07bdc29">SetEntry</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> (!m_Marker)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        m_MarkerIcon.LoadImageFile(0, m_Marker.GetMarkerData().GetIcon());</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        m_MarkerIcon.SetColor(m_Marker.GetMarkerData().GetColor());</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        m_MarkerName.SetText(m_Marker.GetMarkerData().GetName());</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        m_MarkerName.SetColor(m_Marker.GetMarkerData().GetColor());</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// ExpansionCOTGroupsMarkerListEntry SetIcon</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#aa16fa677d7b27dbdd86dc7104faf5473">SetIcon</a>(<span class="keywordtype">string</span> path)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        m_MarkerIcon.LoadImageFile(0, path);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// ExpansionCOTGroupsMarkerListEntry SetColor</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#a67e916bc4192b78d88bd71985cdbd26e">SetColor</a>(<span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        m_MarkerIcon.SetColor(color);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_MarkerName.SetColor(color);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="comment">// ExpansionCOTGroupsMarkerListEntry OnClick</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#aa117830c0d145358c1a656850f1de7f3">OnClick</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">if</span> (m_EditButton &amp;&amp; w == m_EditButton &amp;&amp; m_Marker)</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            m_Marker.FocusOnMarker();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            m_COTGroupsMenu.EditMarker(m_Marker);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// ExpansionCOTGroupsListEntry OnMouseEnter</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#adb29d3b0007d7c5899f77b5c8ec65e50">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">if</span> (m_EditButton &amp;&amp; w == m_EditButton)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            m_MarkerName.SetColor(ARGB(255, 0, 0, 0));</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            m_MarkerIcon.SetColor(ARGB(255, 0, 0, 0));</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <span class="comment">// ExpansionCOTGroupsListEntry OnMouseLeave</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#aa0961e354274ce56d9047e4461f95a1a">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">if</span> (m_EditButton &amp;&amp; w == m_EditButton &amp;&amp; m_Marker)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            m_MarkerName.SetColor(m_Marker.GetMarkerData().GetColor());</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            m_MarkerIcon.SetColor(m_Marker.GetMarkerData().GetColor());</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <span class="comment">// ExpansionCOTGroupsListEntry GetMarker</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="comment">// ------------------------------------------------------------     </span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    ExpansionCOTGroupsMapMarker <a class="code hl_function" href="../../d7/d40/a03681.html#aa420305799fbca170f14f0fab906cc43">GetMarker</a>()</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/d40/a03681.html#a102ede4a5593b9928959eac25cb3181f">m_Marker</a>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>};</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa03681_html"><div class="ttname"><a href="../../d7/d40/a03681.html">ScriptedWidgetEventHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d95/a00299_source.html#l00017">expansionflagmenutextureentry.c:18</a></div></div>
<div class="ttc" id="aa03681_html_a102ede4a5593b9928959eac25cb3181f"><div class="ttname"><a href="../../d7/d40/a03681.html#a102ede4a5593b9928959eac25cb3181f">ScriptedWidgetEventHandler::m_Marker</a></div><div class="ttdeci">private ExpansionMapMarker m_Marker</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d48/a02069_source.html#l00016">expansionmapmarkericonitem.c:16</a></div></div>
<div class="ttc" id="aa03681_html_a67e916bc4192b78d88bd71985cdbd26e"><div class="ttname"><a href="../../d7/d40/a03681.html#a67e916bc4192b78d88bd71985cdbd26e">ScriptedWidgetEventHandler::SetColor</a></div><div class="ttdeci">void SetColor(int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dc4/a02042_source.html#l00175">expansiontooltip.c:175</a></div></div>
<div class="ttc" id="aa03681_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d7/d40/a03681.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected GridSpacerWidget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d95/a00299_source.html#l00019">expansionflagmenutextureentry.c:19</a></div></div>
<div class="ttc" id="aa03681_html_a8bf6a1edb4841e8b1006d424c74e8fe5"><div class="ttname"><a href="../../d7/d40/a03681.html#a8bf6a1edb4841e8b1006d424c74e8fe5">ScriptedWidgetEventHandler::m_EditButton</a></div><div class="ttdeci">protected ButtonWidget m_EditButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/a01277_source.html#l00023">expansionmapwidgetbase.c:23</a></div></div>
<div class="ttc" id="aa03681_html_a9843b470c45f323991c8c3c3cf1d0283"><div class="ttname"><a href="../../d7/d40/a03681.html#a9843b470c45f323991c8c3c3cf1d0283">ScriptedWidgetEventHandler::m_MarkerName</a></div><div class="ttdeci">protected string m_MarkerName</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/a01277_source.html#l00021">expansionmapwidgetbase.c:21</a></div></div>
<div class="ttc" id="aa03681_html_aa0961e354274ce56d9047e4461f95a1a"><div class="ttname"><a href="../../d7/d40/a03681.html#aa0961e354274ce56d9047e4461f95a1a">ScriptedWidgetEventHandler::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/a01277_source.html#l00325">expansionmapwidgetbase.c:325</a></div></div>
<div class="ttc" id="aa03681_html_aa117830c0d145358c1a656850f1de7f3"><div class="ttname"><a href="../../d7/d40/a03681.html#aa117830c0d145358c1a656850f1de7f3">ScriptedWidgetEventHandler::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/a01277_source.html#l00121">expansionmapwidgetbase.c:121</a></div></div>
<div class="ttc" id="aa03681_html_aa16fa677d7b27dbdd86dc7104faf5473"><div class="ttname"><a href="../../d7/d40/a03681.html#aa16fa677d7b27dbdd86dc7104faf5473">ScriptedWidgetEventHandler::SetIcon</a></div><div class="ttdeci">void SetIcon(ExpansionIcon icon)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/a01277_source.html#l00232">expansionmapwidgetbase.c:232</a></div></div>
<div class="ttc" id="aa03681_html_aa420305799fbca170f14f0fab906cc43"><div class="ttname"><a href="../../d7/d40/a03681.html#aa420305799fbca170f14f0fab906cc43">ScriptedWidgetEventHandler::GetMarker</a></div><div class="ttdeci">ExpansionMapMarker GetMarker()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d95/a02075_source.html#l00244">expansionmapmarkerlistentry.c:244</a></div></div>
<div class="ttc" id="aa03681_html_adb29d3b0007d7c5899f77b5c8ec65e50"><div class="ttname"><a href="../../d7/d40/a03681.html#adb29d3b0007d7c5899f77b5c8ec65e50">ScriptedWidgetEventHandler::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/a01277_source.html#l00312">expansionmapwidgetbase.c:312</a></div></div>
<div class="ttc" id="aa03681_html_ae8ed5fec9014743a112d6f7aa07bdc29"><div class="ttname"><a href="../../d7/d40/a03681.html#ae8ed5fec9014743a112d6f7aa07bdc29">ScriptedWidgetEventHandler::SetEntry</a></div><div class="ttdeci">void SetEntry()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d95/a00299_source.html#l00054">expansionflagmenutextureentry.c:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_ff949afafcae8fbf6c7a19a8a5258c33.html">Groups</a></li><li class="navelem"><a class="el" href="../../dir_423eee387034e8a926745b1aa01a969e.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_bcefeea0a52b6023326c8b162402ee09.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_3aca05df255e4fe32c61957136c7c2ad.html">dayzexpansion_groups</a></li><li class="navelem"><a class="el" href="../../dir_2ef819a373a6a6c4da0d0f16e7322fa9.html">cot</a></li><li class="navelem"><a class="el" href="../../dir_26404d6de7756e2c4208b6442980cc30.html">groups</a></li><li class="navelem"><a class="el" href="../../d7/d1c/a01397.html">expansioncotgroupsmarkerlistentry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
